# CodeX Docs

### Custom Config, view Here https://github.com/codex-team/codex.docs/blob/main/docs-config.yaml
### Can Also Be configured with ENV, see here https://docs.codex.so/configuration#override-properties-with-environment-variables

[CodeX Docs](https://docs.codex.so/) is a free docs application. It's based on Editor.js ecosystem which gives all modern opportunities for working with content.

You can use it for product documentation, for internal team docs, for personal notes or any other need.

![page-overview-bright](https://user-images.githubusercontent.com/3684889/190149130-6a6fcdec-09bc-4f96-8bdc-5ff4d789f248.png)

It's super easy to install and use.

## Features

- 🤩 [Editor.js](https://editorjs.io/) ecosystem powered
- 📂 Docs nesting — create any structure you need
- 📱 Nice look on Desktop and Mobile
- 🔥 Beautiful page URLs. Human-readable and SEO-friendly.
- 🦅 [Hawk](https://hawk.so/?from=docs-demo) is hunting. Errors tracking integrated
- 💌 [Misprints](https://github.com/codex-team/codex.misprints) reports to the Telegram / Slack
- 📈 [Yandex Metrica](https://metrica.yandex.com/about) integrated
- 🚢 Deploy easily — no DB and other deps required
- 🤙 Simple configuration
- ⚙️ Tune UI as you need. Collapse sections, hide the Sidebar

## Demo

Here is our [Demo Application](https://docs-demo.codex.so/) where you can try CodeX Docs in action.

## Guides

1. [Getting Started](https://docs.codex.so/getting-started)
2. [Configuration](https://docs.codex.so/configuration)
3. [Kubernetes deployment](https://docs.codex.so/k8s-deployment)
4. [Authentication](https://docs.codex.so/authentication)
5. [Writing](https://docs.codex.so/writing)
6. [How to enable analytics](https://docs.codex.so/yandex-metrica)
7. [Contribution guide](https://docs.codex.so/contribution)

