Grav is a **Fast**, **Simple**, and **Flexible**, file-based Web-platform. There is **Zero** installation required. Just extract the ZIP archive, and you are already up and running. It follows similar principles to other flat-file CMS platforms, but has a different design philosophy than most. Grav comes with a powerful **Package Management System** to allow for simple installation and upgrading of plugins and themes, as well as simple updating of Grav itself.

The underlying architecture of Grav is designed to use well-established and _best-in-class_ technologies to ensure that Grav is simple to use and easy to extend. Some of these key technologies include:

- [Twig Templating](https://twig.symfony.com/): for powerful control of the user interface
- [Markdown](https://en.wikipedia.org/wiki/Markdown): for easy content creation
- [YAML](https://yaml.org): for simple configuration
- [Parsedown](https://parsedown.org/): for fast Markdown and Markdown Extra support
- [Doctrine Cache](https://www.doctrine-project.org/projects/doctrine-orm/en/latest/reference/caching.html): layer for performance
- [Pimple Dependency Injection Container](https://github.com/silexphp/Pimple): for extensibility and maintainability
- [Symfony Event Dispatcher](https://symfony.com/doc/current/components/event_dispatcher/introduction.html): for plugin event handling
- [Symfony Console](https://symfony.com/doc/current/components/console/introduction.html): for CLI interface
- [Gregwar Image Library](https://github.com/Gregwar/Image): for dynamic image manipulation

# [](https://github.com/getgrav/grav//#documentation)Documentation

The full documentation can be found from [learn.getgrav.org](https://learn.getgrav.org).
