# Homebridge


**Homebridge** is a lightweight NodeJS server you can run on your home network that emulates the iOS HomeKit API. It supports Plugins, which are community-contributed modules that provide a basic bridge from HomeKit to various 3rd-party APIs provided by manufacturers of "smart home" devices.

Since Siri supports devices added through HomeKit, this means that with Homebridge you can ask Siri to control devices that don't have any support for HomeKit at all. For instance, using just some of the available plugins, you can say:

-   _Siri, unlock the back door._ \[pictured to the right\]
-   _Siri, open the garage door._
-   _Siri, turn on the coffee maker._
-   _Siri, turn on the living room lights._
-   _Siri, good morning!_

You can explore all available plugins at the NPM website by [searching for the keyword `homebridge-plugin`](https://www.npmjs.com/search?q=homebridge-plugin).

## [](https://github.com/homebridge/homebridge#community)Community

The official Homebridge Discord server and Reddit community are where users can discuss Homebridge and ask for help.

 [![Homebridge Discord](https://camo.githubusercontent.com/11240ac552626b069352ce3b64e2502aff52aa97481699fc281dfa678eb141ca/68747470733a2f2f646973636f72646170702e636f6d2f6170692f6775696c64732f3433323636333333303238313232363237302f7769646765742e706e673f7374796c653d62616e6e657232)](https://discord.gg/kqNCe2D) [![Homebridge Reddit](https://github.com/homebridge/homebridge/raw/master/.github/homebridge-reddit.svg?sanitize=true)](https://www.reddit.com/r/homebridge/)

HomeKit communities can also be found on both [Discord](https://discord.gg/RcV7fa8) and [Reddit](https://www.reddit.com/r/homekit).