[![](https://github.com/logto-io/logto/raw/master/logo.png)](https://logto.io)

Logto is a cost-effective open-source alternative to Auth0. It offers a seamless developer experience and is well-suited for individuals and growing companies.

🧑💻 **A frontend-to-backend identity solution**

-   OIDC-based authentication and RBAC authorization.
-   Passwordless sign in and much more diverse options, including Email, Phone number, Username, Google, Facebook and other social sign in methods.
-   Beautiful UI components with customizable CSS to fit your business needs.

📦 **Out-of-box infrastructure**

-   A ready-to-use management API can serve as your authentication provider, eliminating the need for extra implementation.
-   SDKs that can integrate your apps with Logto quickly, multi-platform and language compatible, tailored to your development environment.
-   Flexible connectors, scalable with community contributions, customizable with SAML, OAuth, and OIDC protocols.

💻 **Enterprise-ready solutions**

-   RBAC to control your resource through scalable role authorization for diverse use cases.
-   User management and audit Logs to understand identity related user info and keep your security on track.
-   We are currently working on SSO, Organizations and MFA! Stay tuned!

Boringly, we call it "[customer identity access management](https://en.wikipedia.org/wiki/Customer_identity_access_management)" (CIAM) or "customer identity solution."

[Subscribe to us](https://logto.io/subscribe/?utm_source=github&utm_medium=repo_logto) right away to receive up-to-date information about the Logto Cloud (SaaS) as well as in-time feature updates.

## Get started

-   Visit our 🎨 [website](https://logto.io/?utm_source=github&utm_medium=repo_logto) for a brief introduction if you are new to Logto.
-   A step-by-step guide is available on 📖 [docs.logto.io](https://docs.logto.io/?utm_source=github&utm_medium=repo_logto).