Mylar is an automated Comic Book (cbr/cbz) downloader program for use with NZB and torrents.

Mylar allows you to create a watchlist of series that it monitors for various things (new issues, updated information, etc). It will grab, sort, and rename downloaded issues. It will also allow you to monitor weekly pull-lists for items belonging to said watchlisted series to download, as well as being able to monitor and maintain story-arcs.

## Folders
| Root Folder                                 | Container Folder |
|---------------------------------------------|------------------|
| /runtipi/app-data/mylar3/data/mylar3-config | /config          |
| /runtipi/media/data/comics                  | /comics          |
| /runtipi/media/downloads/mylar3             | /downloads       |

## [](https://github.com/mylar3/mylar3#getting-started)Getting Started

-   [Installation](https://github.com/mylar3/mylar3/wiki/Installation-Instructions)
-   [Upgrading from evilhero/mylar](https://github.com/mylar3/mylar3/wiki/Upgrading-from-the-evilhero-version)
-   [IMPORTANT INFORMATION ABOUT ComicVine Data](https://github.com/mylar3/mylar3/wiki/Where-Mylar-gets-the-metadata-from)
-   [Wiki](https://github.com/mylar3/mylar3/wiki)
-   [FAQ](https://github.com/mylar3/mylar3/wiki/FAQ)
-   [API Documentation](https://github.com/mylar3/mylar3/wiki/API-Documentation)

## [](https://github.com/mylar3/mylar3#support--discussion)Support & Discussion

Please try to limit Github issues to bugs & enhancement requests ONLY

-   [Github](https://github.com/mylar3/mylar3/issues) (Bug & Feature requests only)
-   [Forums](https://forum.mylarcomics.com)

## [](https://github.com/mylar3/mylar3#live-support--conversation)Live Support / Conversation

-   [Discord](https://discord.gg/6UG94R7E8T)
-   [IRC](https://web.libera.chat/?channels=#mylar)

## [](https://github.com/mylar3/mylar3#features)Features

-   Abliity to be run on various OS' (windows, linux, macOS, Raspberry Pi, etc)
-   Support for SABnzbd, NZBGet and various torrent clients (as well as Blackhole)
-   Multiple newznabs support, as well including a raw indexer and direct download being available
-   Ability to see upcoming new releases for a particular week and take action on them if required
-   View pullists up to 4 weeks in advance, or several months prior
-   TPB's and GN's are both supported as far as monitoring and post-processing (not import atm)
-   Can scan your existing library and download any missing issues
-   Failed download handling will download a new issue if one fails
-   Configurable file and folder renaming
-   Metatagging of issues via modified version of the awesome ComicTagger
-   Will automatically meta-tag downloaded issues either during (post-processing) or after (manual post-processing)
-   Generation of series.json files which contain series information for 3rd party applications
-   Notification on snatches / downloads using various notif applications
-   Ability to track story arc issues belonging to specific arcs, as well as various options pertaining to the arc

... AND SO MUCH MORE!