# ownCloud Core

**[ownCloud](http://ownCloud.com) gives you freedom and control over your own data. A personal cloud which runs on your own server.**

[![](https://github.com/owncloud/screenshots/raw/master/files/sidebar_1.png)](https://github.com/owncloud/screenshots/blob/master/files/sidebar_1.png)

## [](https://github.com/owncloud/core/blob/master/README.md#why-is-this-so-awesome)Why Is This so Awesome?

- 📁 **Access your Data** You can store your files, contacts, calendars and more on a server of your choosing.
- 📦 **Sync your Data** You keep your files, contacts, calendars and more synchronized amongst your devices.
- 🔄 **Share your Data** You share your data with others, and give them access to your latest photo galleries, your calendar or anything else you want them to see.
- 🚀 **Expandable with dozens of Apps** ...like Calendar, Contacts, Mail or News.
- ☁️ **All Benefits of the Cloud** ...on your own Server.
- 🔒 **Encryption** You can encrypt data in transit with secure https connections. You can enable the encryption app to encrypt data on storage for improved security and privacy.
- ...

## [](https://github.com/owncloud/core/blob/master/README.md#installation-instructions)Installation Instructions

For installing ownCloud, see the official [ownCloud 10](https://doc.owncloud.com/server/latest/admin_manual/installation/) installation manual.

## [](https://github.com/owncloud/core/blob/master/README.md#development-build-prerequisites)Development Build Prerequisites

Note that when doing a local development build, you need to have **Composer v2** installed. If your OS provides a lower version than v2, you can install Composer v2 manually. As an example, which may be valid for other releases/distros too, see [How to install Composer on Ubuntu 22.04 | 20.04 LTS](https://www.how2shout.com/linux/how-to-install-composer-on-ubuntu-22-04-20-04-lts/).

You also must have installed `yarn` and `node` (v14 or higher).

## [](https://github.com/owncloud/core/blob/master/README.md#contribution-guidelines)Contribution Guidelines

[https://owncloud.com/contribute/](https://owncloud.com/contribute/)

## [](https://github.com/owncloud/core/blob/master/README.md#support)Support

Learn about the different ways you can get support for ownCloud: [https://owncloud.com/support/](https://owncloud.com/support/)

## [](https://github.com/owncloud/core/blob/master/README.md#get-in-touch)Get in Touch

- 📋 [Forum](https://central.owncloud.org)
- #️⃣ [IRC channel](https://web.libera.chat/?channels=#owncloud)
- 👥 [Facebook](https://facebook.com/ownclouders)
- 🐣 [Twitter](https://twitter.com/ownCloud)

## [](https://github.com/owncloud/core/blob/master/README.md#important-notice-on-translations)Important Notice on Translations

Please submit translations via Transifex: [https://explore.transifex.com/owncloud-org/](https://explore.transifex.com/owncloud-org/)

See the detailed information about [translations](https://doc.owncloud.com/server/latest/developer_manual/core/translation.html) here.
