## Install Info

If you want to setup Video Tracking, you need to set a Twitch Client ID and Secret. Please read the [Ryot Documentation](https://ignisda.github.io/ryot/guides/video-games.html) if you do not know how to get them
# Ryot

### A self hosted platform for tracking various facets of your life - media, fitness etc.

Ryot (**R**oll **Y**our **O**wn **T**racker), pronounced "riot", aims to be the only self hosted tracker you will ever need!

## 💻 Demo

You can use the demo instance hosted on [Fly.io](https://ryot.fly.dev). Login and register with the username `demo` and password `demo-password`. This instance is automatically deployed from the latest release.

**NOTE**: The data in this instance can be deleted randomly.

## 📝 ELI5

Imagine you have a special notebook where you can write down all the media you have consumed, like books you've read, shows you have watched, video games you have played or workouts you have done. Now, imagine that instead of a physical notebook, you have a special tool on your computer or phone that lets you keep track of all these digitally.

## 💡 Why?

-   Existing solutions do not have very good UI.
-   Pretty graphs and summaries make everyone happy. Ryot aims to have a lot of them.
-   There is a lack of a good self-hosted fitness and health tracking solution.
-   Ryot consumes very little memory (around 10MB idle eyeballing `docker stats`)

## 🚀 Features

-   ✅ [Supports](https://github.com/IgnisDa/ryot/discussions/4) tracking media and fitness
-   ✅ Import data from Goodreads, MediaTracker, Trakt, Movary, StoryGraph, MyAnimeList
-   ✅ Integration with Jellyfin, Kodi, Plex, Audiobookshelf
-   ✅ Self-hosted
-   ✅ PWA enabled
-   ✅ Documented GraphQL API
-   ✅ Easy to understand UI
-   ✅ Lightning fast (written in Rust BTW)
-   ✅ Free and open-source
